### A free/open-source library for quantitative finance

Public Member Functions
LossDistBucketing Class Reference

Loss distribution with Hull-White bucketing. More...

`#include <ql/experimental/credit/lossdistribution.hpp>`

Inheritance diagram for LossDistBucketing:
[legend]

List of all members.

## Public Member Functions

| LossDistBucketing (Size nBuckets, Real maximum, Real epsilon=1e-6)
Distribution | operator() (const std::vector< Real > &volumes, const std::vector< Real > &probabilities) const
Size | buckets () const
Real | maximum () const

## Detailed Description

Loss distribution with Hull-White bucketing.

Loss distribution with Hull-White bucketing

Loss distribution for varying volumes and probabilities of default, independence assumed.

The implementation of the loss distribution follows

John Hull and Alan White, "Valuation of a CDO and nth to default CDS without Monte Carlo simulation", Journal of Derivatives 12, 2, 2004.